<script type="text/x-template" id="filter-component">
<form id="filter" class="form form_filter">
  <div class="fieldset fieldset_filter">
    <div class="fieldset__item field">
      <label class="label label_default label_s">сортировка</label>
      <div class="control control_default control_m">
        <select v-select2="sortkey" v-model="sortkey">
          <option value="-modified" selected="selected">по дате изменения</option>
          <option value="-created">по дате создания</option>
          <option value="-auto__cost">по стоимости</option>
          <option value="-auto__year_auto">по году выпуска</option>
          <option value="-auto__horsepower">по мощности</option>
          <option value="-auto__engine_capacity">по объёму двигателя</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">филиал</label>
      <div class="control control_default control_m">
        <select v-select2="order__client__filials" v-model="order__client__filials">
          <option disabled="disabled" selected="selected"></option>
          <option v-for="f in filterValues.filials" :value="f.id" :selected="f.id == order__client__filials">${ f.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">статус</label>
      <div class="control control_default control_m">
        <select v-select2="status" v-model="status">
          <option disabled="disabled" selected="selected"></option>
          <option v-for="s in filterValues.statuses" :value="s.id" :selected="s.id == status">${ s.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">дата создания</label>
      <datepicker :value="created__gte" @input="onChangeDatepickerStart" :monday-first="true" :language="datepickerLang" :disabled-dates="startDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="от"/>
    </div>
    <div class="fieldset__item field">
      <datepicker :value="created__lte" @input="onChangeDatepickerEnd" :monday-first="true" :language="datepickerLang" :disabled-dates="endDatepickerState.disabled" wrapper-class="control control_default control_m" calendar-class="calendar" input-class="calendar-input" placeholder="до"/>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">исполнитель</label>
      <div class="control control_default control_m">
        <select v-select2="executor" v-model="executor">
          <option disabled="disabled" selected="selected"></option>
          <option  
             v-for="e in filterValues.executors" v-if="in_array(e.filial_in, order__client__filials)" :value="e.id" :selected="e.id == executor">${ e.full_name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">марка</label>
      <div class="control control_default control_m">
        <select id="mark_auto" v-select2="auto__mark_auto" v-model="auto__mark_auto">
          <option value=""></option>
          <option v-for="mark in filterValues.marks" :value="mark.id" :selected="auto__mark_auto == mark.id">${ mark.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">модель</label>
      <div class="control control_default control_m">
        <select id="model_auto" v-select2="auto__model_auto" v-model="auto__model_auto">
          <option value=""></option>
          <option v-for="model in filterValues.models" v-if="model.mark == auto__mark_auto" :value="model.id" :selected="auto__model_auto == model.id">${ model.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">поколение</label>
      <div class="control control_default control_m">
        <select id="generation" v-select2="auto__generation" v-model="auto__generation">
          <option value=""></option>
          <option v-for="g in filterValues.generations" v-if="g.model == auto__model_auto && auto__model_auto.model != ''" :value="g.id" :selected="auto__generation == g.id">${ g.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">год выпуска</label>
      <div class="grid grid_2 grid_s">
        <div class="control control_default control_m">
          <select v-select2="auto__year__gte" v-model="auto__year__gte">
            <option disabled="disabled" value="">от</option>
            <option v-for="year in yearsRange.options0" :value="year">${ year }</option>
          </select>
        </div>
        <div class="control control_default control_m">
          <select v-select2="auto__year__lte" v-model="auto__year__lte">
            <option disabled="disabled" value="">до</option>
            <option v-for="year in yearsRange.options1" :value="year">${ year }</option>
          </select>
        </div>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">пробег</label>
      <div class="control control_default control_m">
        <input v-model="auto__mileage__lt" type="text"/>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">бюджет</label>
      <div class="control control_default control_m">
        <input v-model="auto__cost__lte" type="text" placeholder="до"/>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">кузов</label>
      <div class="control control_default control_m">
        <select v-select2="auto__body_type_auto" v-model="auto__body_type_auto" multiple="multiple">
          <option v-for="body_type in filterValues.body_types" :value="body_type.id">${ body_type.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">цвет</label>
      <div class="control control_default control_m">
        <select v-select2="auto__color_auto" v-model="auto__color_auto" multiple="multiple">
          <option v-for="color in filterValues.colors" :value="color">${ color }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">комплектация</label>
      <div class="control control_default control_m">
        <input v-model="auto__equipment" type="text"/>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">двигатель</label>
      <div class="control control_default control_m">
        <select v-select2="auto__engine_type" v-model="auto__engine_type" multiple="multiple">
          <option v-for="engine in filterValues.engine_types" :value="engine.id">${ engine.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">объём, л.</label>
      <div class="grid grid_2 grid_s">
        <div class="control control_default control_m">
          <select v-select2="auto__engine_capacity__gte" v-model="auto__engine_capacity__gte">
            <option disabled="disabled" value="">от</option>
            <option v-for="capacity in capacitiesRange.options0" :value="capacity">${ capacity }</option>
          </select>
        </div>
        <div class="control control_default control_m">
          <select v-select2="auto__engine_capacity__lte" v-model="auto__engine_capacity__lte">
            <option disabled="disabled" value="">до</option>
            <option v-for="capacity in capacitiesRange.options1" :value="capacity">${ capacity }</option>
          </select>
        </div>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">мощность, л.с.</label>
      <div class="grid grid_2 grid_s">
        <div class="control control_default control_m">
          <select v-select2="auto__horsepower__gte" v-model="auto__horsepower__gte">
            <option disabled="disabled" value="">от</option>
            <option v-for="horsepower in horsepowersRange.options0" :value="horsepower">${ horsepower }</option>
          </select>
        </div>
        <div class="control control_default control_m">
          <select v-select2="auto__horsepower__lte" v-model="auto__horsepower__lte">
            <option disabled="disabled" value="">до</option>
            <option v-for="horsepower in horsepowersRange.options1" :value="horsepower">${ horsepower }</option>
          </select>
        </div>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">трансмиссия</label>
      <div class="control control_default control_m">
        <select v-select2="auto__transmission_type" v-model="auto__transmission_type" multiple="multiple">
          <option v-for="t in filterValues.transmission_types" :value="t.id">${ t.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">привод</label>
      <div class="control control_default control_m">
        <select v-select2="auto__drive_type" v-model="auto__drive_type" multiple="multiple">
          <option v-for="drive in filterValues.drive_types" :value="drive.id">${ drive.name }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">салон</label>
      <div class="control control_default control_m">
        <select v-select2="auto__salon_auto" v-model="auto__salon_auto" multiple="multiple">
          <option v-for="salon in filterValues.salons_auto" :value="salon">${ salon }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">цвет салона</label>
      <div class="control control_default control_m">
        <select v-select2="auto__color_salon" v-model="auto__color_salon" multiple="multiple">
          <option v-for="color in filterValues.colors_salon">${ color }</option>
        </select>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="label label_default label_s">кол-во владельцев</label>
      <div class="grid grid_2 grid_s">
        <div class="control control_default control_m">
          <select v-select2="auto__owners__lte" v-model="auto__owners__lte">
            <option disabled="disabled" selected="selected">не более</option>
            <option v-for="owner in filterValues.owners">${ owner }</option>
          </select>
        </div>
      </div>
    </div>
    <div class="fieldset__item field">
      <label class="check check_m check_default">
        <input v-model="filter_recommended" type="checkbox" :checked="filter_recommended"/>
        <div class="check__icon"></div>
        <div class="check__content">
          <div class="check__title">рекомендован</div>
        </div>
      </label>
    </div>
    <div class="fieldset__item">
      <button class="form__btn btn btn_default btn_s btn_block">
        <div class="btn__grid">
          <div class="btn__title">Сбросить фильтр</div>
        </div>
      </button>
    </div>
  </div>
</form>
</script>